> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get detailed information about a specific output of a Bitcoin transaction including value and scripts.

# Transaction Output Info



## OpenAPI

````yaml bitcoin/blockchain-indexer-api/openapi.json get /transactions/{tx_hash}/outputs/{output_index}
openapi: 3.0.3
info:
  title: Bitcoin - Blockchain Indexer API
  description: >-
    This API provides core indexer endpoints with support for Bitcoin
    metaprotocols by delivering real-time, rollback-protected access to
    Bitcoin's UTXO data, enabling developers to build responsive and reliable
    blockchain applications without managing complex infrastructure.


    #### Key Features:

    - **Real-Time Data with Rollback Protection:** Ensures data accuracy by
    handling chain reorganizations gracefully, providing live data without
    sacrificing integrity.

    - **Comprehensive UTXO Indexing:** Specialized pipelines extract, match, and
    process on-chain information, including handling rollbacks, to provide
    accurate and up-to-date data.


    #### Key Benefits for Developers:

    By abstracting the complexities of blockchain data retrieval and processing,
    Maestro's Bitcoin Indexer API empowers developers to focus on building
    innovative applications with confidence in fast and reliable access to
    historical chain data.
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v0.2.0
servers:
  - url: https://xbt-mainnet.gomaestro-api.org/v0
    description: Bitcoin Mainnet
  - url: https://xbt-testnet.gomaestro-api.org/v0
    description: Bitcoin Testnet
security:
  - api-key: []
paths:
  /transactions/{tx_hash}/outputs/{output_index}:
    get:
      tags:
        - Transactions
      summary: Transaction Output Info
      description: >-
        Provides detailed information for a single transaction output, including
        its value, spend status, and any attached metadata such as Ordinal
        inscriptions, Runes, or BRC20 data.
      operationId: tx_output_info
      parameters:
        - name: tx_hash
          in: path
          description: Transaction hash
          required: true
          schema:
            type: string
          example: 1b07f02356aed6ddca37db8226c6292f2953d55ea741d7f58d44427976e7d4ee
        - name: output_index
          in: path
          description: Transaction output index
          required: true
          schema:
            type: string
          example: '1'
      responses:
        '200':
          description: Requested data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TimestampedTxOutMetaprotocols'
              example:
                data:
                  address: 3G7gSaxPY7BhbEASd2pnZY5cg7uEQMQvd8
                  inscriptions: []
                  runes:
                    - amount: '88980600000'
                      rune_id: '840000:3'
                  satoshis: '564'
                  script_pubkey: a9149e3be5b19b788c2eb2d590a779c06b9b7a09782e87
                  spending_tx: null
                last_updated:
                  block_hash: >-
                    00000000000000000000f2e6c4af3271ca47435d5178eca0bd6d86612d96d4b3
                  block_height: 884469
        '400':
          description: Malformed query parameters
        '404':
          description: Requested entity not found on-chain
        '500':
          description: Internal server error
components:
  schemas:
    TimestampedTxOutMetaprotocols:
      type: object
      required:
        - data
        - last_updated
      properties:
        data:
          $ref: '#/components/schemas/TxOutMetaprotocols'
        last_updated:
          $ref: '#/components/schemas/ChainTip'
    TxOutMetaprotocols:
      type: object
      required:
        - script_pubkey
        - satoshis
        - inscriptions
        - runes
      properties:
        address:
          type: string
          description: >-
            Address-encoding of the script pubkey at which the output containing
            the inscription resides.
          example: bc1ppth27qnr74qhusy9pmcyeaelgvsfky6qzquv9nf56gqmte59vfhqwkqguh
          nullable: true
        inscriptions:
          type: array
          items:
            $ref: '#/components/schemas/InscriptionAndOffset'
          description: List of inscription IDs and their offsets in this input.
        runes:
          type: array
          items:
            $ref: '#/components/schemas/RuneAndAmount'
          description: List of rune IDs and their amount in this input.
        satoshis:
          type: string
          description: Total number of satoshis in the UTxO.
          example: '1234567'
        script_pubkey:
          type: string
          description: >-
            Script pubkey at which the output containing the inscription
            resides.
          example: 51200aeeaf0263f5417e40850ef04cf73f43209b13401038c2cd34d201b5e685626e
        spending_tx:
          type: string
          description: >-
            If this output is known to have been spent, hash of the transaction
            that spent it.
          example: 2ca28d42583fc5bace84fe024d3697969e06dd1cf769a2141286825b81773fd5
          nullable: true
    ChainTip:
      type: object
      required:
        - block_hash
        - block_height
      properties:
        block_hash:
          type: string
          description: The hash of the block
          example: 0000000000000000000a7f3b7b6b6e1d9a18db65a3b4a3f4f3bcb2e1f1b2d3e7
        block_height:
          type: integer
          format: int64
          description: The height of the block in the blockchain
          example: 707000
          minimum: 0
    InscriptionAndOffset:
      type: object
      required:
        - offset
        - inscription_id
      properties:
        inscription_id:
          type: string
        offset:
          type: integer
          format: int64
          minimum: 0
    RuneAndAmount:
      type: object
      required:
        - rune_id
        - amount
      properties:
        amount:
          type: string
        rune_id:
          type: string
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````